#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin>>s;
    //int a[s.size()][s.size()];
    int a[s.size()];
    int ri = 0;
    a[0] = 1;
    for(int j=1; j<s.size(); j++){
        if(s[j]<s[j-1]) ri++;
        a[j]=ri+1;
    }
    int q;
    cin>>q;
    while(q--){
        int l, r;
        cin>>l>>r;
        l--; r--;
        int res = a[r];
        for(int i=0; i<l; i++){
            if(s[i]>s[i+1]) res--;
        }
        cout<<res<<endl;
    }
}
